Bug 526114 - Off-by-one compensation in get_devices_* not needed anymore
Summary: Off-by-one compensation in get_devices_* not needed anymore
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pycdio
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Greguske
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 20:12 UTC by Jay Greguske
Modified: 2009-10-21 00:41 UTC (History)
2 users (show)

Fixed In Version: 0.15-4.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-21 00:40:28 UTC


Attachments (Terms of Use)

Description Jay Greguske 2009-09-28 20:12:59 UTC
Description of problem:
The list of devices provided by any get_devices_* call in pycdio is chopping off the first entry. This is because a slice that was needed to correct a SWIG issue is no longer required.

Version-Release number of selected component (if applicable):
0.15-3

How reproducible:
Always

Steps to Reproduce:
Open an interactive Python interpreter and enter the following lines

import pycdio
import cdio
pycdio.get_devices_with_cap(pycdio.FS_MATCH_ALL, any)

Actual results:
The list returned was ['/dev/sr0']

Expected results:
The list should be ['/dev/cdrom', '/dev/sr0'], but the first entry is being removed by an array slice in the code.

Comment 1 Fedora Update System 2009-09-28 20:18:19 UTC
pycdio-0.15-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pycdio-0.15-4.fc11

Comment 2 Fedora Update System 2009-09-28 20:20:19 UTC
pycdio-0.15-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pycdio-0.15-4.fc10

Comment 3 Fedora Update System 2009-09-30 01:36:00 UTC
pycdio-0.15-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pycdio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10103

Comment 4 Fedora Update System 2009-09-30 01:36:08 UTC
pycdio-0.15-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pycdio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10104

Comment 5 Fedora Update System 2009-10-21 00:40:23 UTC
pycdio-0.15-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-10-21 00:41:19 UTC
pycdio-0.15-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.